Debian Bug report logs - #625903
barnowl: use Digest::SHA instead of Digest::SHA1, drop libdigest-sha1-perl dependency

version graph

Package: src:barnowl; Maintainer for src:barnowl is Sam Hartman <hartmans@debian.org>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Fri, 6 May 2011 19:45:01 UTC

Severity: important

Tags: patch

Found in version barnowl/1.6.2-1

Fixed in version barnowl/1.6.2-1.1

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Sam Hartman <hartmans@debian.org>:
Bug#625903; Package src:barnowl. (Fri, 06 May 2011 19:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Sam Hartman <hartmans@debian.org>. (Fri, 06 May 2011 19:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: barnowl: use Digest::SHA instead of Digest::SHA1, drop libdigest-sha1-perl dependency
Date: Fri, 06 May 2011 21:41:40 +0200
Source: barnowl
Version: 1.6.2-1
Severity: normal
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition

Hi

We from the Debian Perl Group would like to drop libdigest-sha1-perl
at some point, see [1]. Most of the functionality (except
sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
Switching from Digest::SHA1 to Digest::SHA should be in principle as
easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://deb.li/digestsha

Digest::SHA1 seems to be used in:

perl/modules/Jabber/lib/Net/Jabber/Key.pm
perl/modules/Jabber/lib/Net/Jabber/Component.pm
perl/modules/Jabber/lib/Net/XMPP.pm
perl/modules/Jabber/lib/Net/XMPP/Protocol.pm

Could them be changed to use Digest::SHA instead so that the Depends
on libdigest-sha1-perl could be dropped?

Bests,
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hartman <hartmans@debian.org>:
Bug#625903; Package src:barnowl. (Thu, 04 Aug 2011 19:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Sam Hartman <hartmans@debian.org>. (Thu, 04 Aug 2011 19:36:10 GMT) Full text and rfc822 format available.

Message #10 received at 625903@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 625903@bugs.debian.org
Subject: barnowl: diff for barnowl using Digest::SHA instead of Digest::SHA1
Date: Thu, 4 Aug 2011 21:32:09 +0200
[Message part 1 (text/plain, inline)]
tags 625903 + patch
thanks

Dear Sam Hartman,

I've prepared an NMU for barnowl (versioned as 1.6.2-1.1) to use
Digest::SHA instead of Digest::SHA1. Would it be possible to apply
this if you agree?

Regards.
Salvatore
[barnowl-1.6.2-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Thu, 04 Aug 2011 19:36:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hartman <hartmans@debian.org>:
Bug#625903; Package src:barnowl. (Tue, 16 Aug 2011 18:54:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Sam Hartman <hartmans@debian.org>. (Tue, 16 Aug 2011 18:54:12 GMT) Full text and rfc822 format available.

Message #17 received at 625903@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: control@bugs.debian.org
Cc: 625903@bugs.debian.org,625875@bugs.debian.org,625904@bugs.debian.org,636853@bugs.debian.org,636642@bugs.debian.org,636852@bugs.debian.org,636856@bugs.debian.org,630601@bugs.debian.org,636857@bugs.debian.org,625870@bugs.debian.org,624065@bugs.debian.org,629612@bugs.debian.org,debian-perl@lists.debian.org
Subject: Increase severity: libdigest-sha1-perl going to disappear
Date: Tue, 16 Aug 2011 20:51:15 +0200
# raising severity for remaining bugs to important
# libdigest-sha1-perl is going to disappear
# see: http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA
severity 625903 important
severity 625875 important
severity 625904 important
severity 636853 important
severity 636642 important
severity 636852 important
severity 636856 important
severity 630601 important
severity 636857 important
severity 625870 important
severity 624065 important
severity 629612 important
thanks

Hi!

We from the Debian Perl Group whant to remove libdigest-sha1-perl soon. See [1]
for details. We thus would like to increase the severity to the remaining
bugreports to important.

 [1] http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA

Regards
Salvatore, Debian Perl Group




Severity set to 'important' from 'normal' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 16 Aug 2011 18:54:30 GMT) Full text and rfc822 format available.

Added indication that bug 625903 blocks 594273 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 08:16:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#625903; Package src:barnowl. (Thu, 18 Aug 2011 21:33:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. (Thu, 18 Aug 2011 21:33:25 GMT) Full text and rfc822 format available.

Message #26 received at 625903@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 625903@bugs.debian.org, control@bugs.debian.org, 625875@bugs.debian.org, 625904@bugs.debian.org, 636853@bugs.debian.org, 636642@bugs.debian.org, 636852@bugs.debian.org, 636856@bugs.debian.org, 630601@bugs.debian.org, 636857@bugs.debian.org, 625870@bugs.debian.org, 624065@bugs.debian.org, 629612@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#625903: Increase severity: libdigest-sha1-perl going to disappear
Date: Thu, 18 Aug 2011 17:30:38 -0400
Hi.
I'm planning on getting to this issue Sunday.
If someone wants to NMU before then they are welcome.




Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hartman <hartmans@debian.org>:
Bug#625903; Package src:barnowl. (Fri, 19 Aug 2011 06:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Sam Hartman <hartmans@debian.org>. (Fri, 19 Aug 2011 06:27:10 GMT) Full text and rfc822 format available.

Message #31 received at 625903@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Sam Hartman <hartmans@debian.org>, 625903@bugs.debian.org
Subject: Re: Bug#625903: Increase severity: libdigest-sha1-perl going to disappear
Date: Fri, 19 Aug 2011 08:26:39 +0200
[Message part 1 (text/plain, inline)]
Hi Sam

On Thu, Aug 18, 2011 at 05:30:38PM -0400, Sam Hartman wrote:
> Hi.
> I'm planning on getting to this issue Sunday.
> If someone wants to NMU before then they are welcome.

Thank you, would be great.

Thanks for you work!

Regards
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hartman <hartmans@debian.org>:
Bug#625903; Package src:barnowl. (Sat, 10 Sep 2011 08:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Sam Hartman <hartmans@debian.org>. (Sat, 10 Sep 2011 08:51:14 GMT) Full text and rfc822 format available.

Message #36 received at 625903@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Sam Hartman <hartmans@debian.org>, 625903@bugs.debian.org
Subject: Re: Bug#625903: Increase severity: libdigest-sha1-perl going to disappear
Date: Sat, 10 Sep 2011 10:49:50 +0200
[Message part 1 (text/plain, inline)]
Hi Sam

On Thu, Aug 18, 2011 at 05:30:38PM -0400, Sam Hartman wrote:
> Hi.
> I'm planning on getting to this issue Sunday.
> If someone wants to NMU before then they are welcome.

I didn't saw an upload on this. Is there something I could do to help
out?

Regards
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#625903; Package src:barnowl. (Sat, 10 Sep 2011 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. (Sat, 10 Sep 2011 14:27:03 GMT) Full text and rfc822 format available.

Message #41 received at 625903@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 625903@bugs.debian.org
Subject: Re: Bug#625903: Increase severity: libdigest-sha1-perl going to disappear
Date: Sat, 10 Sep 2011 10:22:36 -0400
Hi. I'm sorry.
I've been busier than expected.
As mentioned, a 0-day NMU would be fine with me.




Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hartman <hartmans@debian.org>:
Bug#625903; Package src:barnowl. (Sat, 10 Sep 2011 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Sam Hartman <hartmans@debian.org>. (Sat, 10 Sep 2011 14:51:04 GMT) Full text and rfc822 format available.

Message #46 received at 625903@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Sam Hartman <hartmans@debian.org>
Cc: 625903@bugs.debian.org
Subject: Re: Bug#625903: Increase severity: libdigest-sha1-perl going to disappear
Date: Sat, 10 Sep 2011 16:46:32 +0200
[Message part 1 (text/plain, inline)]
Hi Sam!

On Sat, Sep 10, 2011 at 10:22:36AM -0400, Sam Hartman wrote:
> Hi. I'm sorry.
> I've been busier than expected.
> As mentioned, a 0-day NMU would be fine with me.

Thanks for the reply! I have uploaded the package with only the
use-Digest-SHA.patch.

Best regards,
Salvatore
[signature.asc (application/pgp-signature, inline)]

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Sat, 10 Sep 2011 14:51:20 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Sat, 10 Sep 2011 14:51:20 GMT) Full text and rfc822 format available.

Message #51 received at 625903-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 625903-close@bugs.debian.org
Subject: Bug#625903: fixed in barnowl 1.6.2-1.1
Date: Sat, 10 Sep 2011 14:47:18 +0000
Source: barnowl
Source-Version: 1.6.2-1.1

We believe that the bug you reported is fixed in the latest version of
barnowl, which is due to be installed in the Debian FTP archive:

barnowl_1.6.2-1.1.debian.tar.gz
  to main/b/barnowl/barnowl_1.6.2-1.1.debian.tar.gz
barnowl_1.6.2-1.1.dsc
  to main/b/barnowl/barnowl_1.6.2-1.1.dsc
barnowl_1.6.2-1.1_amd64.deb
  to main/b/barnowl/barnowl_1.6.2-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625903@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated barnowl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 10 Sep 2011 16:36:17 +0200
Source: barnowl
Binary: barnowl
Architecture: source amd64
Version: 1.6.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Sam Hartman <hartmans@debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 barnowl    - A curses-based tty Jabber, IRC, AIM  and Zephyr client
Closes: 625903
Changes: 
 barnowl (1.6.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add patch use-Digest-SHA.patch to use Digest::SHA from perl core instead
     of Digest::SHA1. Drop libdigest-sha1-perl Depends in debian/control
     (Closes: #625903).
Checksums-Sha1: 
 e04b5c459a25475f09c1847e26bdd34783838d92 1961 barnowl_1.6.2-1.1.dsc
 18f6b6e2cf7e29b34ffe9fdedec687dd05a7056d 7807 barnowl_1.6.2-1.1.debian.tar.gz
 fa2c74a122c48e14b62ec1a34eee35ded9028c00 546096 barnowl_1.6.2-1.1_amd64.deb
Checksums-Sha256: 
 056a6d768f87c21eeacae10f2ecb708f3fc3f548f85c9b8d074f78ab5910e828 1961 barnowl_1.6.2-1.1.dsc
 9c4c1e816c86501b1768c7bddb8eb9c1daa796ddd0b9087aad60e7a963997d9b 7807 barnowl_1.6.2-1.1.debian.tar.gz
 6f6e9d2a29c91a79ee9337332e306f173b2eb2bd933c7478fa37a98d2c87c947 546096 barnowl_1.6.2-1.1_amd64.deb
Files: 
 d6eb6fbfa82dfce879a7a45c38863b90 1961 net optional barnowl_1.6.2-1.1.dsc
 a5538c83c4f1489c93c146ccf916c7ef 7807 net optional barnowl_1.6.2-1.1.debian.tar.gz
 1c18348a0e617eeefb33f6932ebeedb0 546096 net optional barnowl_1.6.2-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOa3YoAAoJEHidbwV/2GP+7oAQAJzwxusGEEKI9Q0gruG/O+dR
+YK0lHKrh0nbVusQAIdsuKCmZ2n5tBDZ+jHfxWTncfWoOzV9ARb9/oK0X0TMzupB
ntx5b3UvA9sjXIoc5RfC91PtHbJtum8OJyRqw4WhV2qEv9neU5pMyinGKhi3Rrhv
AY+g6G3wuRK2wHDhuX2573rFQABVW09dQeB66OHJT4rvOA+qHKW7O/BjpeBqi45e
fkfXlZEU0ALsxX9b+PSnXsPE5/lV+/s35p1lBuyfwbgExw4CfMHacDp6+kWp2Bj4
OHuJzdP1Cj/2cuJDG1gV+4WxN2lLWAyhOQ1CDwCQkMjPctZ51rqugTPLPCSWPh+k
PqV3HIva60nsjz2Qg4ZZwUqjoXf7Kgk1AqNMF0qtB8Xoip6FkMiVgan+zYcFz+tN
afrriwkf9bLAWZ89CJOZWvI8xaRFQxm822zuvqKAN+pwEVqIDIMqZzT2DKG8j3us
xOyaQAPLSr774w0idzuU5I1kJ629NRsvGAnvRMcELtGQx7eHNL/l2Qm8n+JeAtCA
bYT513o1zW89vz/UyG2KStbRWLjUFXynXkWSrB3v1MJj4527uTISY12bXejWLGnd
fS2HikKptUn/8/bHvDGxKBDpHkUlb7fBzOoLnUpRrGP43t/Dkmrzror7AaJEPj0f
nW5P1wixrjtUtqdUMOGX
=KvAI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Oct 2011 07:31:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 12:04:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.